SystemOrganization addCategory: #'PBE-Morphic'!

Morph subclass: #CrossMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PBE-Morphic'!

!CrossMorph methodsFor: 'geometry testing' stamp: 'PhilippeQuesne 3/9/2014 02:17'!
containsPoint: aPoint
^ (self horizontalBar containsPoint: aPoint)
or: [self verticalBar containsPoint: aPoint]! !

!CrossMorph methodsFor: 'drawing' stamp: 'PhilippeQuesne 3/9/2014 02:19'!
drawOn: aCanvas
| topAndBottom |
aCanvas fillRectangle: self horizontalBar color: self color.
topAndBottom := self verticalBar areasOutside: self horizontalBar.
topAndBottom do: [ :each | aCanvas fillRectangle: each color: self color]! !

!CrossMorph methodsFor: 'as yet unclassified' stamp: 'PhilippeQuesnel 3/9/2014 22:49'!
handleKeystroke: anEvent
| keyValue |
keyValue := anEvent keyValue.
keyValue = 30 "up arrow"
ifTrue: [self position: self position - (0 @ 1)].
keyValue = 31 "down arrow"
ifTrue: [self position: self position + (0 @ 1)].
keyValue = 29 "right arrow"
ifTrue: [self position: self position + (1 @ 0)].
keyValue = 28 "left arrow"
ifTrue: [self position: self position - (1 @ 0)]! !

!CrossMorph methodsFor: 'as yet unclassified' stamp: 'PhilippeQuesnel 3/9/2014 22:44'!
handlesMouseDown: anEvent
 ^ true! !

!CrossMorph methodsFor: 'as yet unclassified' stamp: 'PhilippeQuesnel 3/9/2014 22:47'!
handlesMouseOver: anEvent
 ^ true! !

!CrossMorph methodsFor: 'private' stamp: 'PhilippeQuesne 3/9/2014 02:21'!
horizontalBar
	| crossHeight |
	crossHeight := (self height / 3.0) rounded.
	^ self bounds insetBy: 0 @ crossHeight! !

!CrossMorph methodsFor: 'as yet unclassified' stamp: 'PhilippeQuesnel 3/9/2014 22:45'!
mouseDown: anEvent
	anEvent redButtonPressed
		ifTrue: [ self color: Color red ].	"click"
	anEvent yellowButtonPressed
		ifTrue: [ self color: Color yellow ].	"action−click"
	self changed! !

!CrossMorph methodsFor: 'as yet unclassified' stamp: 'PhilippeQuesnel 3/9/2014 22:48'!
mouseEnter: anEvent
anEvent hand newKeyboardFocus: self! !

!CrossMorph methodsFor: 'as yet unclassified' stamp: 'PhilippeQuesnel 3/9/2014 22:48'!
mouseLeave: anEvent
anEvent hand newKeyboardFocus: nil! !

!CrossMorph methodsFor: 'private' stamp: 'PhilippeQuesne 3/9/2014 02:22'!
verticalBar
	| crossWidth |
	crossWidth := (self width / 3.0) rounded.
	^ self bounds insetBy: crossWidth @ 0! !
